import { Injectable } from '@nestjs/common';
import { BaseUpdateManager } from 'src/core/modules/domain/usecase/managers/base-update.manager';
import { TransactionSetting } from '../../entities/sales-price-formula.entity';
import { TransactionSettingModel } from '../../../data/models/sales-price-formula.model';
import {
  EventTopics,
  columnUniques,
  validateRelations,
} from 'src/core/strings/constants/interface.constants';

@Injectable()
export class UpdateTransactionSettingManager extends BaseUpdateManager<TransactionSetting> {
  async validateProcess(): Promise<void> {
    return;
  }

  async beforeProcess(): Promise<void> {
    return;
  }

  async afterProcess(): Promise<void> {
    return;
  }

  get validateRelations(): validateRelations[] {
    return [];
  }

  get uniqueColumns(): columnUniques[] {
    return [];
  }

  get entityTarget(): any {
    return TransactionSettingModel;
  }

  get eventTopics(): EventTopics[] {
    return [];
  }
}
